Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.sql.whereclausebuilder
Interface WhereClausePsPartBuilder

All Known Implementing Classes:
  AbstractWhereClausePsPartBuilder, CurrentDateTimePsPartBuilder, CustomBuilder, InBuilder, LikeBuilder, NullValueBuilder, StandardBuilder, VerbatimSqlConditionBuilder

    public interface WhereClausePsPartBuilder

Builds a PreparedStatementPart from a WhereClauseExpression.

Version:
  $Id: WhereClausePsPartBuilder.java 1448414 2013-02-20 21:06:35Z tfischer $

Method Summary
`PreparedStatementPart` | `buildPs(WhereClauseExpression whereClauseExpression, boolean ignoreCase, Adapter adapter)` Builds a PreparedStatementPart from a WhereClauseExpression.
`boolean` | `isApplicable(WhereClauseExpression whereClauseExpression, Adapter adapter)` Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.

Method Detail

### buildPs

    PreparedStatementPart buildPs(WhereClauseExpression whereClauseExpression,
                                  boolean ignoreCase,
                                  Adapter adapter)
                                  throws TorqueException

  Builds a PreparedStatementPart from a WhereClauseExpression.

  Parameters:
    `whereClauseExpression` - the part of the where clause to build. Can be modified in this method.
    `ignoreCase` - If true and columns represent Strings, the appropriate function defined for the database will be used to ignore differences in case.
    `adapter` - The adapter for the database for which the SQL should be created, not null.
  Returns:
    the PreparedStatementPart for the WhereClauseExpression.
  Throws:
    `TorqueException` - when rendering fails.

### isApplicable

    boolean isApplicable(WhereClauseExpression whereClauseExpression,
                         Adapter adapter)

  Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.

  Parameters:
    `whereClauseExpression` - the WhereClauseExpression in question.
    `adapter` - The adapter for the database for which the SQL should be created, not null.
  Returns:
    true if applicable, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.